#!/bin/sh
#### "***********************************************"
#### "*       ..:: Script by MOHAMED_OS ::..        *"
#### "*  Support: https://github.com/MOHAMED19OS    *"
#### "*       E-Mail: mohamed19eng@gmail.com        *"
#### "***********************************************"

CAMNAME="RevCam_Oscam"
CAM_BIN="OSCam_11715-r798"
BINARY="RevCam"

remove_tmp() {
	rm -rf /tmp/*.info* /tmp/*.tmp* /tmp/*share* /tmp/*.pid* /tmp/*sbox* /tmp/oscam* /tmp/.oscam
}

case "$1" in
start)
	remove_tmp
	/usr/bin/${CAM_BIN} --config-dir /etc/tuxbox/config --daemon --pidfile /tmp/${CAM_BIN}.pid --restart 2 --utf8 &
	/usr/bin/${BINARY} --config-dir /etc/tuxbox/revcam --daemon --pidfile /tmp/${BINARY}.pid --restart 2 --utf8 &
	sleep 3
	;;
stop)
	killall -9 ${CAM_BIN} 2>/dev/null
	killall -9 ${BINARY} 2>/dev/null
	remove_tmp
	sleep 2
	;;
*)
	$0 stop
	exit 1
	;;
esac

exit 0
