#!/bin/sh
#### "***********************************************"
#### "*       ..:: Script by MOHAMED_OS ::..        *"
#### "*  Support: https://github.com/MOHAMED19OS    *"
#### "*       E-Mail: mohamed19eng@gmail.com        *"
#### "***********************************************"

CAMNAME="RevCam_Oscam"
CAM_BIN="OSCam_11715-r798"
BINARY="RevCam"

usage() {
	echo "Usage: $0 {start|stop|status|restart|reload}"
}

remove_tmp() {
	rm -rf /tmp/*.info* /tmp/*.tmp* /tmp/*share* /tmp/*.pid* /tmp/*sbox* /tmp/oscam* /tmp/.oscam
}

if [ $# -lt 1 ]; then
	usage
fi
action=$1

case "$action" in

start)
	echo "Start cam daemon: ${CAMNAME}"
	remove_tmp
	/usr/bin/${CAM_BIN} --config-dir /etc/tuxbox/config --daemon --pidfile /tmp/${CAM_BIN}.pid --restart 2 --utf8 &
	/usr/bin/${BINARY} --config-dir /etc/tuxbox/revcam --daemon --pidfile /tmp/${BINARY}.pid --restart 2 --utf8 &
	echo " ${CAMNAME}."
	;;

stop)
	echo "Stopping cam daemon: ${CAMNAME}"
	while [ -n "$(pidof ${CAMNAME})" ]; do
		killall -9 ${CAM_BIN} 2>/dev/null
		killall -9 ${BINARY} 2>/dev/null
	done
	remove_tmp
	echo "."
	;;

status) ;;

\
	restart | reload)
	$0 stop
	sleep 2
	$0 start
	;;
*)
	usage
	;;
esac

exit 0
